curl --request PUT \
--url https://api.vop-sandbox.finventi.com/v1/accounts/iban/{iban} \
--header 'Content-Type: application/json' \
--data '
{
"account_holder_names": [
"Bob Smith"
],
"aliases": [
"HGRP"
],
"organisation_identification": {
"bic": "DEUTDEFFXXX",
"lei": "5493001KJTIIGC8Y1R12"
}
}
'import requests
url = "https://api.vop-sandbox.finventi.com/v1/accounts/iban/{iban}"
payload = {
"account_holder_names": ["Bob Smith"],
"aliases": ["HGRP"],
"organisation_identification": {
"bic": "DEUTDEFFXXX",
"lei": "5493001KJTIIGC8Y1R12"
}
}
headers = {"Content-Type": "application/json"}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
account_holder_names: ['Bob Smith'],
aliases: ['HGRP'],
organisation_identification: {bic: 'DEUTDEFFXXX', lei: '5493001KJTIIGC8Y1R12'}
})
};
fetch('https://api.vop-sandbox.finventi.com/v1/accounts/iban/{iban}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"account_holder_names": [
"Alice Johnson"
],
"aliases": [
"HGRP"
],
"iban": "LT121000011101001000",
"client_id": "client-12345",
"organisation_identification": {
"bic": "DEUTDEFFXXX",
"lei": "5493001KJTIIGC8Y1R12",
"other": {
"identification": "123-ABC-XYZ",
"issuer": "ChamberOfCommerce",
"scheme_name_code": "VAT",
"scheme_name_proprietary": "LocalRegistry"
}
}
}{
"detail": "<string>",
"instance": "<string>",
"parameters": {},
"status": {
"reasonPhrase": "<string>",
"statusCode": 123
},
"title": "<string>",
"type": "<string>"
}{
"detail": "<string>",
"instance": "<string>",
"parameters": {},
"status": {
"reasonPhrase": "<string>",
"statusCode": 123
},
"title": "<string>",
"type": "<string>"
}{
"detail": "<string>",
"instance": "<string>",
"parameters": {},
"status": {
"reasonPhrase": "<string>",
"statusCode": 123
},
"title": "<string>",
"type": "<string>"
}Patch account details by IBAN
Updates account holder name or legal entity information for the specified IBAN.
Path Parameters
IBAN of the account to update
Body
Fields to update for the account
New account holder name. Optional; if provided must not be blank.
1New account holder name. Optional; if provided must not be blank.
["Bob Smith"]
Optional alternative names or identifiers to improve matching (e.g., acronyms, short forms like "IBM" for "International Business Machines")
Optional alternative names or identifiers to improve matching (e.g., acronyms, short forms like "IBM" for "International Business Machines")
["HGRP"]
Legal-entity identifiers for the IBAN owner.
Show child attributes
Show child attributes
Response
Updated account details
Names of the account holders
Names of the account holders
["Alice Johnson"]
Alternative names or identifiers to improve matching (e.g., acronyms, short forms like "IBM" for "International Business Machines")
Alternative names or identifiers to improve matching (e.g., acronyms, short forms like "IBM" for "International Business Machines")
["HGRP"]
IBAN of the account
"LT121000011101001000"
Client identifier
"client-12345"
Identification details for the organisation.
Show child attributes
Show child attributes